com.google.gwt.user.client.ui

## Class ScrollListenerCollection

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<ScrollListener>
      - - com.google.gwt.user.client.ui.ScrollListenerCollection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<ScrollListener>, java.util.Collection<ScrollListener>, java.util.List<ScrollListener>, java.util.RandomAccess

  Deprecated.
  Widgets should now manage their own handlers via `Widget.addDomHandler(H, com.google.gwt.event.dom.client.DomEvent.Type<H>)`

      @Deprecated
      public class ScrollListenerCollection
      extends java.util.ArrayList<ScrollListener>

  A helper class for implementers of the SourcesScrollEvents interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `ScrollListener`.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScrollListenerCollection()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fireScroll(Widget sender, int scrollLeft, int scrollTop)` Deprecated. Fires a scroll event to all listeners.

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### ScrollListenerCollection

          public ScrollListenerCollection()

      Deprecated.

  - ### Method Detail

    - #### fireScroll

          public void fireScroll(Widget sender,
                                 int scrollLeft,
                                 int scrollTop)

      Deprecated.
      Fires a scroll event to all listeners.
      Parameters:
        `sender` - the widget sending the event
        `scrollLeft` - the horizontal scroll offset
        `scrollTop` - the vertical scroll offset